Retrieve a bounty’s objectives, rewards, and creator progress from this endpoint. To exclude creator progress, add ?includeProgress=false to the URL.
GET
/{bountyId}View full referenceParameters, responses, and status codes.
curl -X 'GET' \ 'https://api.nexus.gg/v1/bounties/XrEeF3CrtiSuz2xu8Y6O1' \ -H 'accept: */*' \ -H 'Content-Type: application/json' \ -H 'X-SHARED-SECRET: nexus_sk_your_key_here'The status should be 200 with a JSON response body that looks something like this:
{ "groupId": "CsRKC8uD0NLtyQ0LOt8Ru", "groupName": "Test Group", "bounty": { "id": "XrEeF3CrtiSuz2xu8Y6O1", "name": "Play 5 hours and Refer 5 players that reach level 20", "description": "Play 5 hours and Refer 5 players that reach level 20 in Great Game and receive 200 IGC", "imageSrc": "https://cdn.nexus.gg/CsRKC8uD0NLtyQ0LOt8Ru/images/profile-image.jpg", "rewardDescription": "200 IGC", "limit": 5, "startsAt": "2023-01-02T16:24:22.931Z", "endsAt": "2023-01-02T16:24:22.931Z", "lastProgressCheck": "2023-01-02T16:24:22.931Z", "objectives": [ { "id": "DRDq6bOp10VUDUwYtniLD", "name": "Play 5 hours", "type": "Event", "condition": "AND", "count": 1, "eventType": "Creator", "eventCode": "play5Hours" }, { "id": "CsRKC8uD0NLtyQ0LOt8Ru", "name": "Refer a player that reaches level 20", "type": "Event", "condition": "AND", "count": 5, "eventType": "Referral", "eventCode": "reachLevel20" } ], "rewards": [ { "id": "2Qw7VPSYk1Me7o6huoXwl", "name": "200 In-Game currency", "type": "External", "externalId": "MFsxImaVQFd9ZgCnCCffU", "amount": 1 } ], "prerequisites": [ { "id": "Ev-vRz88frq0RSxp51VP3", "name": "Referrer Title" } ] }, "progress": { "currentPage": 1, "currentPageSize": 100, "totalCount": 1, "data": [ { "id": "ePIWtwm6XnH1lqSpXeKo_", "completed": false, "completionCount": 1, "lastProgressCheck": "2023-02-23T22:51:00.906Z", "currentObjectiveGroupId": "Hd6zrUid8ulc0boV5Z5ws", "currentObjectives": [ { "id": "XD3Xj13ss4Evkgyq7csCT", "completed": true, "count": 1, "objective": { "id": "DRDq6bOp10VUDUwYtniLD", "name": "Play 5 hours", "count": 1, "condition": "AND" } }, { "id": "T4h8O0p2aOakYG0WhBTEN", "completed": false, "count": 1, "objective": { "id": "CsRKC8uD0NLtyQ0LOt8Ru", "name": "Refer a player that reaches level 20", "count": 5, "condition": "AND" } } ], "completedObjectives": [ { "objectiveGroupId": "R2vbVWNC4SHhC2lk_QHsq", "objectives": [ { "id": "T4h8O0p2aOakYG0WhBTEN", "completed": true, "count": 1, "objective": { "id": "DRDq6bOp10VUDUwYtniLD", "name": "Play 5 hours", "count": 1, "condition": "AND" } }, { "id": "lq8pNeoYa3DrqucZ17MkT", "completed": true, "count": 5, "objective": { "id": "CsRKC8uD0NLtyQ0LOt8Ru", "name": "Refer a player that reaches level 20", "count": 5, "condition": "AND" } } ], "rewards": [ { "id": "XD3Xj13ss4Evkgyq7csCL", "name": "Great Game 200 IGC", "externalId": "XVnHQ_JJPspC51d6OvjL0", "rewardCompleted": true, "rewardReferenceId": "U3NIDcqNIgiG9S9mfmN4H" } ] } ], "creator": { "id": "9jd7RBR_B2BZ0uWO3_lgv", "playerId": "55d57cffaa074cc6b8d332f5d77661f2", "name": "PopcornFrog", "slugs": [ [ "popcornfrog", "dlfkjab-do" ] ] } } ] }}